#ifndef __PLX_API_DEBUG_H
#define __PLX_API_DEBUG_H

/*******************************************************************************
 * Copyright (c) PLX Technology, Inc.
 *
 * PLX Technology Inc. licenses this source file under the GNU Lesser General Public
 * License (LGPL) version 2.  This source file may be modified or redistributed
 * under the terms of the LGPL and without express permission from PLX Technology.
 *
 * PLX Technology, Inc. provides this software AS IS, WITHOUT ANY WARRANTY,
 * EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  PLX makes no guarantee
 * or representations regarding the use of, or the results of the use of,
 * the software and documentation in terms of correctness, accuracy,
 * reliability, currentness, or otherwise; and you rely on the software,
 * documentation and results solely at your own risk.
 *
 * IN NO EVENT SHALL PLX BE LIABLE FOR ANY LOSS OF USE, LOSS OF BUSINESS,
 * LOSS OF PROFITS, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES
 * OF ANY KIND.
 *
 ******************************************************************************/

/******************************************************************************
 *
 * File Name:
 *
 *     PlxApiDebug.h
 *
 * Description:
 *
 *     PLX API debug support functions header
 *
 * Revision:
 *
 *     04-01-08 : PLX SDK v6.00
 *
 ******************************************************************************/


#include <stdio.h>


#ifdef __cplusplus
extern "C" {
#endif




/******************************************
 *             Definitions
 ******************************************/
#define PLX_LOG_FILE                    "PlxApi.Log"        // Log file for debug output


/**************************************************
 * The following macro may be used for debugging
 * purposes.  When enabled, the PLX API will
 * dump helpful debug messages to a log file.
 * Enable the macro to enable API file logging
 *************************************************/
#if (0)     // Change to '#if (1)' & recompile to enable file logging
    #define DebugPrintf(arg)            PlxLogPrintf arg
#else
    #define DebugPrintf(arg)
#endif

#define DebugPrintf_NoInfo              DebugPrintf




/******************************************
 *             Functions
 *****************************************/
extern void
PlxLogPrintf(
    const char *format,
    ...
    );



#ifdef __cplusplus
}
#endif

#endif
