/*********************************************************************
 *
 * Module Name:
 *
 *     CmdLine.c
 *
 * Abstract:
 *
 *     Functions to support Command-line processing
 *
 ********************************************************************/


#include <string.h>
#include "CmdLine.h"
#include "PlxTypes.h"




/**********************************************************
 *
 * Function   :  htol
 *
 * Description:  Converts a Hex string to an integer
 *
 *********************************************************/
PLX_UINT_PTR
htol(
    char *hexString
    )
{
    U8           count;
    PLX_UINT_PTR value;


    value = 0;

    for (count=0; count<strlen(hexString); count++)
    {
        value = value << 4;

        if ( (hexString[count] >= 'A') && (hexString[count] <= 'F') )
            value = value + (hexString[count] - 'A' + 0xA);
        else if ( (hexString[count] >= 'a') && (hexString[count] <= 'f') )
            value = value + (hexString[count] - 'a' + 0xA);
        else
            value = value + (hexString[count] - '0');
    }

    return value;
}




/**********************************************************
 *
 * Function   :
 *
 * Description:
 *
 *********************************************************/
void
GetNextArg(
    char **Args,
    char  *buffer
    )
{
    while (**Args == ' ' || **Args == '\t')
        (*Args)++;

    while (**Args != ' ' && **Args != '\t' && **Args != '\0')
        *buffer++ = *(*Args)++;

    *buffer = '\0';
}
