#ifndef _MONITOR_H
#define _MONITOR_H

/******************************************************************************
 *
 * File Name:
 *
 *      Monitor.h
 *
 * Description:
 *
 *      Definitions for the the monitor application
 *
 ******************************************************************************/


#include "PciDev.h"
#include "PlxTypes.h"

#if defined(PLX_MSWINDOWS)
    #include "..\\Shared\\ConsFunc.h"
#endif

#if defined(PLX_LINUX) || defined(PLX_DOS)
    #include "ConsFunc.h"
#endif




/*************************************
 *          Definitions
 ************************************/
#define MONITOR_VERSION_MAJOR       1       // Version information
#define MONITOR_VERSION_MINOR       2
#define MONITOR_VERSION_REVISION    1

#define MONITOR_PROMPT              ">"     // The monitor prompt string

#define MAX_BUFFER_SZ               255
#define MAX_CMD_SZ                  30
#define MAX_CMD_HISTORY             30

#if defined(PLX_DOS)
    #define PlxPreventInWindows()   (getenv("OS") != NULL)
#else
    #define PlxPreventInWindows()   FALSE
#endif




/**********************************************
 *                 Globals
 **********************************************/
extern DEVICE_NODE       *pDeviceSelected;
extern PLX_PHYSICAL_MEM   Gbl_PciBufferInfo;
extern PLX_DEVICE_OBJECT  Gbl_DeviceObj;




/*************************************
 *            Functions
 ************************************/
void
Monitor(
    void
    );

BOOLEAN
ProcessCommand(
    char *buffer
    );

void
PciSpacesMap(
    void
    );

void
PciSpacesUnmap(
    void
    );

void
GetCommonBufferProperties(
    void
    );


#endif
